import type { DefineComponent, Ref, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import Fuse from 'fuse.js';
declare type SearchResultItem = {
    title: string;
    permalink: string;
    summary: string;
    tags: string[];
};
declare const _sfc_main: DefineComponent<{
    url: {
        type: StringConstructor;
        required: false;
    };
    fuseOptions: {
        type: null;
        required: false;
    };
    maxResults: {
        type: NumberConstructor;
        required: false;
    };
    showTags: {
        type: BooleanConstructor;
        required: false;
    };
    tagRoot: {
        type: StringConstructor;
        required: false;
    };
}, {
    defaultOptions: Fuse.IFuseOptions<SearchResultItem>;
    searchReady: Ref<boolean>;
    searchTerm: Ref<string>;
    resultsTitle: Ref<string>;
    results: Ref<{
        item: {
            title: string;
            permalink: string;
            summary: string;
            tags: string[];
        };
        refIndex: number;
        score?: number | undefined;
        matches?: readonly {
            indices: readonly [number, number][];
            key?: string | undefined;
            refIndex?: number | undefined;
            value?: string | undefined;
        }[] | undefined;
    }[]>;
    visibleResults: Ref<{
        item: {
            title: string;
            permalink: string;
            summary: string;
            tags: string[];
        };
        refIndex: number;
        score?: number | undefined;
        matches?: readonly {
            indices: readonly [number, number][];
            key?: string | undefined;
            refIndex?: number | undefined;
            value?: string | undefined;
        }[] | undefined;
    }[]>;
    fuse: Fuse<SearchResultItem>;
    props: {
        url?: string | undefined;
        fuseOptions?: Fuse.IFuseOptions<unknown> | undefined;
        maxResults?: number | undefined;
        showTags?: boolean | undefined;
        tagRoot?: string | undefined;
    };
    dataUrl: string;
    maxResults: number;
    showTags: boolean;
    fuseOptions: Fuse.IFuseOptions<SearchResultItem>;
    tagRoot: string;
    renderTag: (tag: string, index: number, tags: string[]) => string;
    initSearch: () => Promise<void>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    url: {
        type: StringConstructor;
        required: false;
    };
    fuseOptions: {
        type: null;
        required: false;
    };
    maxResults: {
        type: NumberConstructor;
        required: false;
    };
    showTags: {
        type: BooleanConstructor;
        required: false;
    };
    tagRoot: {
        type: StringConstructor;
        required: false;
    };
}>>, {
    showTags: boolean;
}>;
export default _sfc_main;
